org.kie.internal.builder

## Interface ScoreCardConfiguration

- All Superinterfaces:
    org.kie.api.io.ResourceConfiguration

      public interface ScoreCardConfiguration
      extends org.kie.api.io.ResourceConfiguration

  ResourceConfiguration for score cards. It allows for the worksheet name to be specified.

  Simple example showing how to build a KnowledgeBase from an XLS resource.

       KnowledgeBuilder kbuilder = KnowledgeBuilderFactory.newKnowledgeBuilder();
       ScoreCardConfiguration scconf = KnowledgeBuilderFactory.newScoreCardConfiguration();
       scconf.setWorksheetName( "Tables_2" );
       kbuilder.add( ResourceFactory.newUrlResource( "file://IntegrationExampleTest.xls" ),
                     ResourceType.SCARD,
                     scconf );
       assertFalse( kbuilder.hasErrors() );
       KnowledgeBase kbase = KnowledgeBaseFactory.newKnowledgeBase();

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ScoreCardConfiguration.SCORECARD_INPUT_TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInputType()`
    `String` | `getWorksheetName()`
    `boolean` | `IsUsingExternalTypes()`
    `void` | `setInputType(ScoreCardConfiguration.SCORECARD_INPUT_TYPE inputType)` Defines the input source for reading the scorecard Supported sources are SCORECARD_INPUT_TYPE.PMML for a valid PMML 4.1 file SCORECARD_INPUT_TYPE.EXCEL for an excel file Default value is SCORECARD_INPUT_TYPE.EXCEL
    `void` | `setUsingExternalTypes(boolean useExternalTypes)` Which Type strategy to be used This parameter determines if the generated DRL uses Internal Types or dependes on external types (provided in the clasapath) for attibutes.
    `void` | `setWorksheetName(String name)` Which named xls worksheet should be used.

    - ### Methods inherited from interface org.kie.api.io.ResourceConfiguration

      `fromProperties, toProperties`

- - ### Method Detail

    - #### setWorksheetName

          void setWorksheetName(String name)

      Which named xls worksheet should be used. This parameter is optional, and a default worksheet will be used if not specified.
      Parameters:
        `name` -

    - #### getWorksheetName

          String getWorksheetName()

    - #### setUsingExternalTypes

          void setUsingExternalTypes(boolean useExternalTypes)

      Which Type strategy to be used This parameter determines if the generated DRL uses Internal Types or dependes on external types (provided in the clasapath) for attibutes. Default value is FALSE. Drl will be generated with internal types.
      Parameters:
        `useExternalTypes` -

    - #### IsUsingExternalTypes

          boolean IsUsingExternalTypes()

    - #### setInputType

          void setInputType(ScoreCardConfiguration.SCORECARD_INPUT_TYPE inputType)

      Defines the input source for reading the scorecard Supported sources are SCORECARD_INPUT_TYPE.PMML for a valid PMML 4.1 file SCORECARD_INPUT_TYPE.EXCEL for an excel file Default value is SCORECARD_INPUT_TYPE.EXCEL
      Parameters:
        `inputType` -

    - #### getInputType

          String getInputType()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.